Loading...
Searching...
No Matches
routingtable_probe.c File Reference

routingtable probe More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <endian.h>`
`#include <netinet/in.h>`
`#include <netinet/ip.h>`
`#include <netinet/ip6.h>`
`#include <net/route.h>`
`#include <arpa/inet.h>`
`#include "probe-api.h"`
`#include "probe/entcmp.h"`
`#include "util.h"`
`#include "debug_priv.h"`
`#include "SEAP/generic/strto.h"`
`#include "routingtable_probe.h"`
`#include <byteswap.h>`
Include dependency graph for routingtable_probe.c:

## Data Structures

struct | route_info

## Macros

#define | RT_FLAGS_MAX 10
#define | IF_NAME_MAXLEN 128
#define | RT_INFO_DELIMITERS " \t"
#define | htobe32(x)
#define | TOK_dst token[1]
#define | TOK_gw token[2]
#define | TOK_flags token[3]
#define | TOK_ifname token[0]
#define | RT_COND_ADD_FLAG(flag, value)
#define | TOK_dst token[0]
#define | TOK_gw token[4]
#define | TOK_flags token[8]
#define | TOK_ifname token[9]

## Functions

int | routingtable_probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

routingtable probe

Author
  "Daniel Kopecek <dkopecek@redhat.com>"

## Macro Definition Documentation

## htobe32

#define htobe32 | ( |  | x | ) |

Value:
__bswap_32 (x)

## RT_COND_ADD_FLAG

#define RT_COND_ADD_FLAG | ( |  | flag,
|  |  | value )

Value:
if (rt_flags & (flag)) rt->rt_flags[i++] = (value)